﻿using System.ComponentModel;

namespace WisejUITests.Models
{
    public class StudentList : BindingList<Student>
    {
        private static StudentList _instance;

        public static StudentList GetStudentList()
        {
            if (_instance == null)

                BuildInstance();

            return _instance;
        }

        private static void BuildInstance()
        {
            _instance = new StudentList
            {
                new Student
                {
                    StudentId = 1,
                    FirstName = "Ella",
                    LastName = "Fitzgerald",
                    Town = "Newport News"
                },
                new Student
                {
                    StudentId = 2,
                    FirstName = "Louis",
                    LastName = "Armstrong",
                    Town = "New Orleans"
                }
            };
        }
    }
}