﻿using Wisej.Web;
using WisejUITests.Models;

namespace WisejUITests.Views
{
    public partial class TextBoxBinding : Form
    {
        private Student _student;

        public TextBoxBinding()
        {
            InitializeComponent();
        }

        private void TextBoxBinding_Load(object sender, System.EventArgs e)
        {
            GetNewStudent();
            studentListBindingSource.DataSource = _student;
        }

        private void saveButton_Click(object sender, System.EventArgs e)
        {
            StudentList.GetStudentList().Add(_student);
        }

        private void newButton_Click(object sender, System.EventArgs e)
        {
            GetNewStudent();
        }

        private void closeButton_Click(object sender, System.EventArgs e)
        {
            Close();
        }

        private void GetNewStudent()
        {
            _student = new Student();
        }
    }
}